## quantlib-swig 1.4

=== R/DESCRIPTION ===
Package: QuantLib
Title: QuantLib bindings for R
Version: 1.3.0
Date: $Date$
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: The QuantLib Group
Description: This package provides the SWIG-generated QuantLib bindings for R
Depends: methods
SystemRequirements: QuantLib library, Boost library
License: QuantLib License
URL: http://quantlib.org

## quantlib-swig 1.5

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.3.0
+Version: 1.5
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

## quantlib-swig 1.6

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.5
+Version: 1.6
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

## quantlib-swig 1.7

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.6
+Version: 1.7
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

## quantlib-swig 1.8

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.7
+Version: 1.8
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

## quantlib-swig 1.9

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.8
+Version: 1.9
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

## quantlib-swig 1.10

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.9
+Version: 1.10
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

## quantlib-swig 1.12

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.10
+Version: 1.12
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

## quantlib-swig 1.13

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.12
+Version: 1.13
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

=== debian/changelog ===
quantlib-swig (1.13-6) unstable; urgency=medium

  * debian/rules: Additional settings for hppa, plus cleanup. Thanks to
    John David Anglin for the -mlong-calls suggestion.	(Closes: #908408)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 09 Sep 2018 18:14:47 -0500

quantlib-swig (1.13-5) unstable; urgency=medium

  [Michael Hudson-Doyle]
  * Build for all supported versions of Python 3. 

  [ Dirk Eddelbuettel ]
  * Applied patch by Michael

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 Sep 2018 06:27:14 -0500

quantlib-swig (1.13-4) unstable; urgency=medium

  * debian/rules: Refine compilerflags for i386 (on amd64) and others

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Aug 2018 09:13:14 -0500

quantlib-swig (1.13-3) unstable; urgency=medium

  * debian/rules: Different try for i386 now hosted on amd64

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Aug 2018 14:20:06 -0500

quantlib-swig (1.13-2) unstable; urgency=medium

  * debian/rules: Add i386 hppa hurd-i386 kfreebsd-i386 m68k powerpc x32
    to list memory-challenged systems

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Aug 2018 11:20:40 -0500

quantlib-swig (1.13-1) unstable; urgency=medium

  * New upstream release

  * debian/rules: Call dh_python (thanks, Adrian Bunk)  (Closes: #905999)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 Aug 2018 18:27:34 -0500

quantlib-swig (1.12-1) unstable; urgency=medium

  * New upstream release

  * debian/{control,rules}: Switched to python3 build

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Feb 2018 05:49:17 -0600

quantlib-swig (1.11-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version
  * debian/compat: Increase to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Oct 2017 07:06:54 -0500

quantlib-swig (1.10-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 31 May 2017 17:14:56 -0500

quantlib-swig (1.9-2) unstable; urgency=medium

  * debian/rules: Uncomment call to dh_md5sums		(Closes: #861333)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Apr 2017 11:52:14 -0500

quantlib-swig (1.9-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Nov 2016 20:21:55 -0600

quantlib-swig (1.8-2) unstable; urgency=medium

  * debian/rules: Apply patch by Daniel Knezevic to reduce memory use
    during compilation on mips{,el} to avoid FTBFS 	(Closes: #827979)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Jun 2016 07:57:18 -0500

quantlib-swig (1.8-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current QuantLib version
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 May 2016 21:19:20 -0500

quantlib-swig (1.7-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current QuantLib version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Dec 2015 17:07:24 -0600

quantlib-swig (1.6.1-2) unstable; urgency=low

  * debian/control: Add Build-Depends: on libquantlib0-dev (>= 1.6.2-) to
    ensure Depends: on libquantlib0v5

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 25 Sep 2015 06:01:44 -0500

quantlib-swig (1.6.1-1) unstable; urgency=low

  * New upstream release
  
  * Rebuilt under g++ (>= 4:5.2)

  * debian/control: Added Build-Depends: for g++ (>= 4:5.2) and for
    libquantlib0-dev (>= 1.6.2) as QuantLib 1.6.2 was with this g++

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 08 Sep 2015 20:32:55 -0500

quantlib-swig (1.6-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current QuantLib version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 07 Jul 2015 07:26:26 -0500

quantlib-swig (1.5-2) unstable; urgency=low

  * debian/rules: Change for which platforms we dial down the optimization
                                                        (Closes: #779720)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Mar 2015 20:33:23 -0500

quantlib-swig (1.5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current QuantLib version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Feb 2015 21:33:03 -0600

quantlib-swig (1.4-2) unstable; urgency=low

  * debian/rules: Applied (slightly modified) patch by Dejan Latinovic to
    add -mxgot to mips(el) compile flags 		(Closes: #772028)

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 06 Dec 2014 03:05:21 -0600

quantlib-swig (1.4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current QuantLib version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Mar 2014 21:29:34 -0600

quantlib-swig (1.3-3) unstable; urgency=low

  * debian/control: Remove Build-Depends on ruby1.9.1, ruby1.9.1-dev
  * debian/control: Remove entry for Ruby -- this segfaulted after the
    last change and neither upstream nor myself had time to look into it
  * debian/rules: Comment out Ruby build		(Closes: #739778)  
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Feb 2014 07:41:19 -0600

quantlib-swig (1.3-2) unstable; urgency=low

  * SWIG/linearalgebra.i: Applied patch kindly supplied by Christian
    Hofstaedtler to permit building under Ruby 1.9.1
  * Ruby/setup.rb: Idem
  
  * debian/control: Update Build-Depends: to ruby-1.9.1 (Closes: #733105)
  * debian/rules: For now, disable unit test for Ruby as it too needs an
    update for Ruby 1.9.1

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 30 Dec 2013 19:01:08 -0600

quantlib-swig (1.3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current QuantLib version 

  * debian/control: Set Standards-Version: to current version 



=== debian/control ===
Source: quantlib-swig
Priority: optional
Section: interpreters
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.1.5
Build-Depends: debhelper (>= 10), python, python3-all-dev, libquantlib0-dev (>= 1.12), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.34.0), libboost-test-dev (>= 1.34.0), dh-python

Package: quantlib-python
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Python3 bindings for the Quantlib Quantitative Finance library
 The QuantLib project is aimed to provide a comprehensive software framework
 for quantitative finance. The goal is to provide a standard free/open source
 library to quantitative analysts and developers for modeling, trading, and
 risk management in real-life.
 .
 QuantLib plans to offer tools that are useful for both practical
 implementation, with features such as market conventions, solvers, PDEs,
 etc., and advanced modeling, e.g., exotic options and interest rate models.
 .
 This package provides Python bindings to parts of the QuantLib library.

=== debian/rules ===
#! /usr/bin/make -f
#                                                       -*- makefile -*-
# debian/rules file for the Debian Linux quantlib-swig package
# Copyright (C) 2001 - 2017 by Dirk Eddelbuettel <edd@debian.org>

#package	:= $(shell grep Package debian/control | sed 's/^Package: //')
pypackage	= quantlib-python
rbpackage	= quantlib-ruby
rrpackage	= quantlib-r
version		:= $(shell head -1 debian/changelog | \
			perl -nle 'm/\S+\s+\((\S+)\)/ && print $$1')
pydeb		:= $(CURDIR)/debian/$(pypackage)
rbdeb		:= $(CURDIR)/debian/$(rbpackage)
rrdeb		:= $(CURDIR)/debian/$(rrpackage)

#arch 		:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
## edd 01 Nov 2005 use DEB_BUILD_ARCH_CPU, not DEB_BUILD_GNU_TYPE 
##                 updated rules throughout
arch		:= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
cpu		:= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

PYTHONS  	:= $(shell py3versions -s)
RUBY		:= ruby

#export DH_VERBOSE=1

## edd 29 Nov 2001	Default to g++
cxxcompiler	= g++

## edd 14 Jan 2003	no longer change g++ as g++-3.2 is now default
# 			but use g++-3.0 on ia64
#ifneq "$(findstring $(arch), ia64)" ""
#cxxcompiler	= g++-3.0
#endif

## edd 01 Feb 2002  	allow -ffunction-sections on hppa 
## edd 26 Oct 2007      turn strict aliasing warning off
## edd 01 May 2011      add -fpermissive as g++ is more of a stickler
## edd 06 May 2011      remove -fpermissive with QL 1.1 betas
## edd 09 Sep 2018      bringing over a few extra settings for hppa
compilerflags	= -O2 -Wall -Wno-strict-aliasing -DBOOST_NO_AUTO_PTR
ifeq ($(cpu),hppa)
compilerflags   = -O0 -g0 -mlong-calls -ffunction-sections --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR 
#cxxcompiler	= g++-3.0
endif

## edd 18 May 2002	no optimisation or debugging on baby systems
## edd 14 May 2005	don't do it on mipsel or mips either
## edd 01 Jun 2007      no longer activate this on mips/mipsel
## edd 26 Jun 2007 	use cpu test, not arch test -- thanks to Riku via #430709
## edd 26 Oct 2007      s390+powerpc also die, so add'em (and remove mips(el), see next item)
## edd 27 May 2012      added mips/mipsel/armel/armhf here too
## edd 11 Mar 2015      remove powerpc and armhf from the list as they built on Ubuntu (cf
##                      https://launchpad.net/ubuntu/+source/quantlib-swig/1.5-1ubuntu1) and #779720)
##                      also remove mips, mipsel as they are getting taken care of below
## edd 09 Sep 2018      adding mips64el here as well as it recently timed out
#ifneq "$(findstring $(cpu), m68k arm armeb s390 powerpc armel armhf mips mipsel)" ""
ifneq "$(findstring $(cpu), m68k arm armeb s390 armel mips64el)" ""
compilerflags   = -O0 -g0 -DBOOST_NO_AUTO_PTR
endif

## edd 26 Oct 2007      really reset mips/mips to -O2 (see #419742)
## edd 27 May 2012      move to previos section
## edd 06 Dec 2014      patch by Dejan Latinovic (see #772028) to add -mxgot
## edd 23 Jun 2016      patch by Daniel Knezevic (see #827979) to add gcc-min-expand=20
ifneq "$(findstring $(cpu), mipsel mips)" ""
#compilerflags   = -O2 -g0 
compilerflags   = -O0 -g0 -mxgot --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
endif

## edd 21 Aug 2018      i386 now seems to be hosted on amd64
ifneq "$(findstring $(arch), i386)" ""
compilerflags   = -O0 -g0 --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
endif

## edd 22 Aug 2018      trying to help a few other systems with their memory exhaustion
ifneq "$(findstring $(cpu), hurd-i386 kfreebsd-i386 m68k powerpc x32)" ""
compilerflags   = -O0 -g0 --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
endif


## edd 25 Dec 2002  g++-3.2 for s390

#ifneq "$(findstring $(arch), s390)" ""
#cxxcompiler	= g++-3.2
#endif

upstream: get-orig-source
get-orig-source:
	        lynx http://quantlib.org

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	@echo "*** Running on arch $(arch) and cpu $(cpu)"

        # need to build the Makefile for R (and Ruby ?)
	./configure 	--prefix=/usr 				\
			--build $(arch)

        # $(MAKE)
	(cd Python && for python in $(PYTHONS); do		\
				CC="$(cxxcompiler)"		\
				CXX="$(cxxcompiler)" 		\
				CFLAGS="$(compilerflags)"	\
				CXXFLAGS="$(compilerflags)"	\
				$$python setup.py build;	\
			done					)

	# (cd Ruby &&						\
	# 		CC="$(cxxcompiler)"			\
	# 		CXX="$(cxxcompiler)"			\
	# 		CFLAGS="$(compilerflags)"		\
	# 		CXXFLAGS="$(compilerflags)"		\
	# 		$(RUBY) setup.rb build                  )

#	(cd R &&						\
#			CC="$(cxxcompiler)"			\
#			CXX="$(cxxcompiler)"			\
#			CFLAGS="$(compilerflags)"		\
#			CXXFLAGS="$(compilerflags)"		\
#			make					)

	touch build-stamp

test:	build test-stamp
test-stamp:
## edd 01 Nov 2005  run check only on i386
#ifeq "$(findstring $(arch), m68k arm)" ""
ifeq ($(cpu),i486)
        # -$(MAKE) test
	(cd Python && for python in $(PYTHONS); do		\
		$$python setup.py test;				\
		done						)
	#(cd Ruby && $(RUBY) setup.rb test 			)
endif
	touch test-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp test-stamp install-stamp
	-test -f Makefile && $(MAKE) realclean
	(cd Python && for python in $(PYTHONS); do 		\
			$$python setup.py clean --all;		\
			done &&					\
			rm -f QuantLib/*.pyc			)
#	(cd Ruby &&						\
#			rm -f quantlib_wrap.o QuantLibc.so 	)
	dh_clean

install: test install-stamp
install-stamp: 
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs	-p$(pypackage)	usr/share/$(pypackage)
        #$(MAKE) install PREFIX=$(debtmp)/usr
	(cd Python && 						\
		for python in $(PYTHONS); do			\
			$$python setup.py 			\
				install --prefix=$(pydeb)/usr 	\
					--install-layout=deb;	\
		done						)

        # edd 2005-Apr-14  copy swig file manually instead
	cp -vax SWIG/* 	$(pydeb)/usr/share/$(pypackage)/
	rm -fv 	Python/test/*.pyc
        # remove Docs installed by Python, we do that below
	rm -frv $(pydeb)/usr/share/doc/QuantLib-Python
        # remove .pyc which Lintian doesn't like
	rm -frv $(pydeb)/usr/lib/python*/site-packages/QuantLib/*.pyc
	rm -frv $(pydeb)/usr/lib/python3/dist-packages/QuantLib/__pycache__/

	#dh_installdirs -p$(rbpackage)	usr/share/$(rbpackage)
        ## $(MAKE) install PREFIX=$(debtmp)/usr
	#(cd Ruby &&							\
	#	CXX="$(cxxcompiler)" 					\
	#	CFLAGS="$(compilerflags)" 				\
	#	CXXFLAGS="$(compilerflags)" 				\
	#	$(RUBY) setup.rb install				\
	#		--prefix=$(rbdeb)/usr --debian                  )
        ## fix mode, lintian complain about 755 and no #! line
	#chmod 644 debian/$(rbpackage)/usr/lib/ruby/*/QuantLib.rb
        ## edd 2007-Dec-20  copy swig file manually instead as well
	#cp -vax SWIG/*	$(rbdeb)/usr/share/$(rbpackage)/
	#touch install-stamp

	#dh_installdirs -p$(rrpackage)	usr/lib/$(rrpackage) usr/share/$(rrpackage) 
        ## $(MAKE) install PREFIX=$(debtmp)/usr
	#cp -vax R/QuantLib.so R/QuantLib.RData R/QuantLib.R R/README.txt $(rrdeb)/usr/lib/$(rrpackage)/
	#cp -vax SWIG/*	$(rrdeb)/usr/share/$(rrpackage)/

	touch install-stamp

binary-indep: build test install

binary-arch: build test install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs	-A	Readme.txt News.txt 
	dh_installexamples -p$(pypackage) Python/test/ Python/examples/*.py
#	dh_installexamples -p$(rbpackage) Ruby/test/ Ruby/examples/*.rb
#	dh_installexamples -p$(rrpackage) R/examples/*.R
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo		
#	dh_undocumented
	dh_installchangelogs -A	ChangeLog.txt
#	dh_link
	dh_compress
	dh_fixperms
	dh_strip
#	dh_suidregister
#	dh_pycentral	-p$(pypackage)
#	dh_python	-p$(pypackage)
	dh_python3
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install test

=== debian/watch ===
version=3
http://sf.net/quantlib/ QuantLib-SWIG-(.+)\.tar\.gz

## quantlib-swig 1.14

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.13
+Version: 1.14
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

=== debian/changelog ===
quantlib-swig (1.14-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Oct 2018 22:01:41 -0500

quantlib-swig (1.13-7) unstable; urgency=medium

  * debian/rules: Settings for mips64el same as other mips* architectures,
    with thanks to Adrian Bunk				(Closes: #909725)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Sep 2018 07:24:34 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 10), python, python3-all-dev, libquantlib0-dev (>= 1.12), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.34.0), libboost-test-dev (>= 1.34.0), dh-python
 
 Package: quantlib-python

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! /usr/bin/make -f
 #                                                       -*- makefile -*-
 # debian/rules file for the Debian Linux quantlib-swig package
-# Copyright (C) 2001 - 2017 by Dirk Eddelbuettel <edd@debian.org>
+# Copyright (C) 2001 - 2018 by Dirk Eddelbuettel <edd@debian.org>
 
 #package	:= $(shell grep Package debian/control | sed 's/^Package: //')
 pypackage	= quantlib-python
@@ -53,9 +53,8 @@
 ## edd 11 Mar 2015      remove powerpc and armhf from the list as they built on Ubuntu (cf
 ##                      https://launchpad.net/ubuntu/+source/quantlib-swig/1.5-1ubuntu1) and #779720)
 ##                      also remove mips, mipsel as they are getting taken care of below
-## edd 09 Sep 2018      adding mips64el here as well as it recently timed out
 #ifneq "$(findstring $(cpu), m68k arm armeb s390 powerpc armel armhf mips mipsel)" ""
-ifneq "$(findstring $(cpu), m68k arm armeb s390 armel mips64el)" ""
+ifneq "$(findstring $(cpu), m68k arm armeb s390 armel)" ""
 compilerflags   = -O0 -g0 -DBOOST_NO_AUTO_PTR
 endif
 
@@ -63,7 +62,8 @@
 ## edd 27 May 2012      move to previos section
 ## edd 06 Dec 2014      patch by Dejan Latinovic (see #772028) to add -mxgot
 ## edd 23 Jun 2016      patch by Daniel Knezevic (see #827979) to add gcc-min-expand=20
-ifneq "$(findstring $(cpu), mipsel mips)" ""
+## edd 29 Sep 2018      adding mips64el here as well as it recently timed out
+ifneq "$(findstring $(cpu), mipsel mips mips64el)" ""
 #compilerflags   = -O2 -g0 
 compilerflags   = -O0 -g0 -mxgot --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
 endif

## quantlib-swig 1.15

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.14
+Version: 1.15
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

=== debian/changelog ===
quantlib-swig (1.15-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version

  * debian/control: Update Build-Depends to current QuantLib and Boost

  * debian/rules: Changed to install NEWS.md and not NEWS.txt

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Feb 2019 07:09:07 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 10), python, python3-all-dev, libquantlib0-dev (>= 1.12), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.34.0), libboost-test-dev (>= 1.34.0), dh-python
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 10), python, python3-all-dev, libquantlib0-dev (>= 1.15), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.67), libboost-test-dev (>= 1.67), dh-python
 
 Package: quantlib-python
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 rrdeb		:= $(CURDIR)/debian/$(rrpackage)
 
 #arch 		:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-## edd 01 Nov 2005 use DEB_BUILD_ARCH_CPU, not DEB_BUILD_GNU_TYPE 
+## edd 01 Nov 2005 use DEB_BUILD_ARCH_CPU, not DEB_BUILD_GNU_TYPE
 ##                 updated rules throughout
 arch		:= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
 cpu		:= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
@@ -33,14 +33,14 @@
 #cxxcompiler	= g++-3.0
 #endif
 
-## edd 01 Feb 2002  	allow -ffunction-sections on hppa 
+## edd 01 Feb 2002  	allow -ffunction-sections on hppa
 ## edd 26 Oct 2007      turn strict aliasing warning off
 ## edd 01 May 2011      add -fpermissive as g++ is more of a stickler
 ## edd 06 May 2011      remove -fpermissive with QL 1.1 betas
 ## edd 09 Sep 2018      bringing over a few extra settings for hppa
 compilerflags	= -O2 -Wall -Wno-strict-aliasing -DBOOST_NO_AUTO_PTR
 ifeq ($(cpu),hppa)
-compilerflags   = -O0 -g0 -mlong-calls -ffunction-sections --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR 
+compilerflags   = -O0 -g0 -mlong-calls -ffunction-sections --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
 #cxxcompiler	= g++-3.0
 endif
 
@@ -64,7 +64,7 @@
 ## edd 23 Jun 2016      patch by Daniel Knezevic (see #827979) to add gcc-min-expand=20
 ## edd 29 Sep 2018      adding mips64el here as well as it recently timed out
 ifneq "$(findstring $(cpu), mipsel mips mips64el)" ""
-#compilerflags   = -O2 -g0 
+#compilerflags   = -O2 -g0
 compilerflags   = -O0 -g0 -mxgot --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
 endif
 
@@ -152,10 +152,10 @@
 	dh_clean
 
 install: test install-stamp
-install-stamp: 
+install-stamp:
 	dh_testdir
 	dh_testroot
-	dh_prep 
+	dh_prep
 	dh_installdirs	-p$(pypackage)	usr/share/$(pypackage)
         #$(MAKE) install PREFIX=$(debtmp)/usr
 	(cd Python && 						\
@@ -188,7 +188,7 @@
 	#cp -vax SWIG/*	$(rbdeb)/usr/share/$(rbpackage)/
 	#touch install-stamp
 
-	#dh_installdirs -p$(rrpackage)	usr/lib/$(rrpackage) usr/share/$(rrpackage) 
+	#dh_installdirs -p$(rrpackage)	usr/lib/$(rrpackage) usr/share/$(rrpackage)
         ## $(MAKE) install PREFIX=$(debtmp)/usr
 	#cp -vax R/QuantLib.so R/QuantLib.RData R/QuantLib.R R/README.txt $(rrdeb)/usr/lib/$(rrpackage)/
 	#cp -vax SWIG/*	$(rrdeb)/usr/share/$(rrpackage)/
@@ -201,7 +201,7 @@
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf
-	dh_installdocs	-A	Readme.txt News.txt 
+	dh_installdocs	-A	Readme.txt News.md
 	dh_installexamples -p$(pypackage) Python/test/ Python/examples/*.py
 #	dh_installexamples -p$(rbpackage) Ruby/test/ Ruby/examples/*.rb
 #	dh_installexamples -p$(rrpackage) R/examples/*.R
@@ -211,7 +211,7 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installmanpages
-#	dh_installinfo		
+#	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs -A	ChangeLog.txt
 #	dh_link
@@ -229,7 +229,7 @@
 	dh_md5sums
 	dh_builddeb
 
-source diff:                                                                  
+source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch

## quantlib-swig 1.16

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.15
+Version: 1.16
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

=== debian/changelog ===
quantlib-swig (1.16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version
  * debian/control: Update Build-Depends to current QuantLib and Boost

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Aug 2019 06:44:18 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 10), python, python3-all-dev, libquantlib0-dev (>= 1.15), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.67), libboost-test-dev (>= 1.67), dh-python
+Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10), python, python3-all-dev, libquantlib0-dev (>= 1.16), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.67), libboost-test-dev (>= 1.67), dh-python
 
 Package: quantlib-python
 Section: python

## quantlib-swig 1.17

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.16
+Version: 1.17
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

=== debian/changelog ===
quantlib-swig (1.17-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:25:12 +0100

quantlib-swig (1.17-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version
  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Dec 2019 08:22:00 -0600

quantlib-swig (1.16.1-1) unstable; urgency=medium

  * New upstream release [using same code, but updated Swig version to
    generate bindings]

  * debian/control: Switch Build-Depends: from python to python3 as the
    package was already python3-only			(Closes: #938324)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Aug 2019 19:28:21 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 10), python, python3-all-dev, libquantlib0-dev (>= 1.16), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.67), libboost-test-dev (>= 1.67), dh-python
+Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 10), python3, python3-all-dev, libquantlib0-dev (>= 1.17), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.67), libboost-test-dev (>= 1.67), dh-python
 
 Package: quantlib-python
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! /usr/bin/make -f
 #                                                       -*- makefile -*-
 # debian/rules file for the Debian Linux quantlib-swig package
-# Copyright (C) 2001 - 2018 by Dirk Eddelbuettel <edd@debian.org>
+# Copyright (C) 2001 - 2019 by Dirk Eddelbuettel <edd@debian.org>
 
 #package	:= $(shell grep Package debian/control | sed 's/^Package: //')
 pypackage	= quantlib-python
@@ -38,7 +38,9 @@
 ## edd 01 May 2011      add -fpermissive as g++ is more of a stickler
 ## edd 06 May 2011      remove -fpermissive with QL 1.1 betas
 ## edd 09 Sep 2018      bringing over a few extra settings for hppa
-compilerflags	= -O2 -Wall -Wno-strict-aliasing -DBOOST_NO_AUTO_PTR
+#compilerflags	= -O2 -Wall -Wno-strict-aliasing -DBOOST_NO_AUTO_PTR
+## edd 07 Aug 2019      turning optimisation off or else linking (with lto) fails
+compilerflags	= -O0 -g0 -Wall -Wno-strict-aliasing -DBOOST_NO_AUTO_PTR
 ifeq ($(cpu),hppa)
 compilerflags   = -O0 -g0 -mlong-calls -ffunction-sections --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
 #cxxcompiler	= g++-3.0

## quantlib-swig 1.19

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.17
+Version: 1.19
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

=== debian/changelog ===
quantlib-swig (1.19-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Update Build-Depends to current QuantLib
  * debian/compat: Increased to 11
  * debian/control: Increase versioned depends on debhelper accordingly
  * debian/rules: Include README.md instead of Readme.txt
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Jul 2020 15:07:06 -0500

quantlib-swig (1.18-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version
  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Mar 2020 21:54:09 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.4.1
-Build-Depends: debhelper (>= 10), python3, python3-all-dev, libquantlib0-dev (>= 1.17), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.67), libboost-test-dev (>= 1.67), dh-python
+Standards-Version: 4.5.0
+Build-Depends: debhelper (>= 11), python3, python3-all-dev, libquantlib0-dev (>= 1.19), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.67), libboost-test-dev (>= 1.67), dh-python
 
 Package: quantlib-python
 Section: python

## quantlib-swig 1.20

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.19
+Version: 1.20
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

=== debian/changelog ===
quantlib-swig (1.20-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Oct 2020 19:53:43 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 11), python3, python3-all-dev, libquantlib0-dev (>= 1.19), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.67), libboost-test-dev (>= 1.67), dh-python
+Build-Depends: debhelper-compat (= 11), python3, python3-all-dev, libquantlib0-dev (>= 1.20), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.67), libboost-test-dev (>= 1.67), dh-python
 
 Package: quantlib-python
 Section: python

## quantlib-swig 1.25

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.20
+Version: 1.25
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

=== debian/changelog ===
quantlib-swig (1.25-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:11:15 +0000

quantlib-swig (1.25-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Jan 2022 06:21:18 -0600

quantlib-swig (1.24-1) unstable; urgency=medium

  * New upstream release				(closes: #997261)

  * debian/control: Update Standards-Version: to current version
  * debian/control: Update Build-Depends to current QuantLib
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Oct 2021 16:37:11 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 11), python3, python3-all-dev, libquantlib0-dev (>= 1.20), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.67), libboost-test-dev (>= 1.67), dh-python
+Build-Depends: debhelper-compat (= 11), python3, python3-all-dev, libquantlib0-dev (>= 1.25), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.67), libboost-test-dev (>= 1.67), dh-python
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/edd/quantlib-swig
+Vcs-Git: https://salsa.debian.org/edd/quantlib-swig.git
+Homepage: https://www.quantlib.org
 
 Package: quantlib-python
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -203,7 +203,7 @@
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf
-	dh_installdocs	-A	Readme.txt News.md
+	dh_installdocs	-A	README.md News.md
 	dh_installexamples -p$(pypackage) Python/test/ Python/examples/*.py
 #	dh_installexamples -p$(rbpackage) Ruby/test/ Ruby/examples/*.rb
 #	dh_installexamples -p$(rrpackage) R/examples/*.R

## quantlib-swig 1.27

=== R/DESCRIPTION ===
Package: QuantLib
Title: QuantLib bindings for R
Version: 1.27
Date: $Date$
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: The QuantLib Group
Description: This package provides the SWIG-generated QuantLib bindings for R
Depends: methods
SystemRequirements: QuantLib library, Boost library
License: QuantLib License
URL: https://www.quantlib.org

=== debian/changelog ===
quantlib-swig (1.27-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version
  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 22 Jul 2022 14:46:34 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), python3, python3-all-dev, libquantlib0-dev (>= 1.25), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.67), libboost-test-dev (>= 1.67), dh-python
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 11), python3, python3-all-dev, libquantlib0-dev (>= 1.27), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.67), libboost-test-dev (>= 1.67), dh-python
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/quantlib-swig
 Vcs-Git: https://salsa.debian.org/edd/quantlib-swig.git
 Homepage: https://www.quantlib.org

## quantlib-swig 1.29

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.27
+Version: 1.29
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

=== debian/changelog ===
quantlib-swig (1.29-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Jan 2023 19:20:58 -0600

quantlib-swig (1.28-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 12)
  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 Oct 2022 19:31:42 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), python3, python3-all-dev, libquantlib0-dev (>= 1.27), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev (>= 1.67), libboost-test-dev (>= 1.67), dh-python
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 12), python3, python3-all-dev, libquantlib0-dev (>= 1.29), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/quantlib-swig
 Vcs-Git: https://salsa.debian.org/edd/quantlib-swig.git
 Homepage: https://www.quantlib.org

## quantlib-swig 1.31.1

=== debian/changelog ===
quantlib-swig (1.31.1-1) unstable; urgency=medium

  * New upstream release				(Closes: #1042040)

  * debian/control: Update Build-Depends to current QuantLib
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 Jul 2023 18:20:24 -0500

quantlib-swig (1.30-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Jun 2023 06:42:08 -0500

quantlib-swig (1.30-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Apr 2023 18:38:36 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), python3, python3-all-dev, libquantlib0-dev (>= 1.29), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python
+Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.31.1), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/quantlib-swig
 Vcs-Git: https://salsa.debian.org/edd/quantlib-swig.git

## quantlib-swig 1.33

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.29
+Version: 1.33
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

=== debian/changelog ===
quantlib-swig (1.33-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:52:14 +0000

quantlib-swig (1.33-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 23 Jan 2024 10:03:54 -0600

quantlib-swig (1.32-2) unstable; urgency=medium

  * debian/rules: Merge change by Adrian Bunk (re-enabling optimization
    and no longer treating mips64el specially) 		(Closes: #1054921)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 30 Oct 2023 07:15:50 -0500

quantlib-swig (1.32-1.2304.1) lunar; urgency=medium

  * PPA build for Ubuntu 23.04 ("lunar")

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Oct 2023 11:28:39 -0500

quantlib-swig (1.32-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Oct 2023 10:25:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.31.1), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python
+Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.33), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/quantlib-swig
 Vcs-Git: https://salsa.debian.org/edd/quantlib-swig.git

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,8 @@
 ## edd 09 Sep 2018      bringing over a few extra settings for hppa
 #compilerflags	= -O2 -Wall -Wno-strict-aliasing -DBOOST_NO_AUTO_PTR
 ## edd 07 Aug 2019      turning optimisation off or else linking (with lto) fails
-compilerflags	= -O0 -g0 -Wall -Wno-strict-aliasing -DBOOST_NO_AUTO_PTR
+## bunk 28 Oct 2023     no longer turning optimisation off
+compilerflags	= -g0 -Wall -Wno-strict-aliasing -DBOOST_NO_AUTO_PTR
 ifeq ($(cpu),hppa)
 compilerflags   = -O0 -g0 -mlong-calls -ffunction-sections --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
 #cxxcompiler	= g++-3.0
@@ -65,7 +66,8 @@
 ## edd 06 Dec 2014      patch by Dejan Latinovic (see #772028) to add -mxgot
 ## edd 23 Jun 2016      patch by Daniel Knezevic (see #827979) to add gcc-min-expand=20
 ## edd 29 Sep 2018      adding mips64el here as well as it recently timed out
-ifneq "$(findstring $(cpu), mipsel mips mips64el)" ""
+## bunk 28 Oct 2023     removing mips64el here since current buildds should be fast enough
+ifneq "$(findstring $(cpu), mipsel mips)" ""
 #compilerflags   = -O2 -g0
 compilerflags   = -O0 -g0 -mxgot --param ggc-min-expand=20 -DBOOST_NO_AUTO_PTR
 endif
@@ -234,5 +236,3 @@
 source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install test

## quantlib-swig 1.34

=== debian/changelog ===
quantlib-swig (1.34-2) unstable; urgency=medium

  * debian/rules: Ensure flags are passed to build step too

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 07 Jun 2024 09:42:53 -0500

quantlib-swig (1.34-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 26 Apr 2024 06:58:59 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.33), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools
+Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.34), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/quantlib-swig
 Vcs-Git: https://salsa.debian.org/edd/quantlib-swig.git

## quantlib-swig 1.35

=== debian/changelog ===
quantlib-swig (1.35-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Update Build-Depends to current QuantLib
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 27 Jul 2024 06:55:50 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.34), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.35), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/quantlib-swig
 Vcs-Git: https://salsa.debian.org/edd/quantlib-swig.git
 Homepage: https://www.quantlib.org

=== debian/rules ===
--- 
+++ 
@@ -100,12 +100,19 @@
 	dh_testdir
 	@echo "*** Running on arch $(arch) and cpu $(cpu)"
 
+	./autogen.sh
+
         # need to build the Makefile for R (and Ruby ?)
 	./configure 	--prefix=/usr 				\
 			--build $(arch)
 
         # $(MAKE)
 	(cd Python && for python in $(PYTHONS); do		\
+				CC="$(cxxcompiler)"		\
+				CXX="$(cxxcompiler)" 		\
+				CFLAGS="$(compilerflags)"	\
+				CXXFLAGS="$(compilerflags)"	\
+				$$python setup.py wrap;	        \
 				CC="$(cxxcompiler)"		\
 				CXX="$(cxxcompiler)" 		\
 				CFLAGS="$(compilerflags)"	\
@@ -225,14 +232,3 @@
 #	dh_suidregister
 #	dh_pycentral	-p$(pypackage)
 #	dh_python	-p$(pypackage)
-	dh_python3
-	dh_makeshlibs
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-source diff:
-	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
-

## quantlib-swig 1.36

=== debian/changelog ===
quantlib-swig (1.36-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Oct 2024 08:14:51 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.35), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig
+Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.36), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig, python3-build
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/quantlib-swig
 Vcs-Git: https://salsa.debian.org/edd/quantlib-swig.git

=== debian/rules ===
--- 
+++ 
@@ -107,12 +107,11 @@
 			--build $(arch)
 
         # $(MAKE)
-	(cd Python && for python in $(PYTHONS); do		\
-				CC="$(cxxcompiler)"		\
-				CXX="$(cxxcompiler)" 		\
-				CFLAGS="$(compilerflags)"	\
-				CXXFLAGS="$(compilerflags)"	\
-				$$python setup.py wrap;	        \
+	(cd Python && \
+			swig -python -c++ -outdir src/QuantLib  \
+                             -o src/QuantLib/quantlib_wrap.cpp  \
+                             ../SWIG/quantlib.i;	        \
+			for python in $(PYTHONS); do		\
 				CC="$(cxxcompiler)"		\
 				CXX="$(cxxcompiler)" 		\
 				CFLAGS="$(compilerflags)"	\
@@ -231,4 +230,3 @@
 	dh_strip
 #	dh_suidregister
 #	dh_pycentral	-p$(pypackage)
-#	dh_python	-p$(pypackage)

## quantlib-swig 1.37

=== R/DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: QuantLib
 Title: QuantLib bindings for R
-Version: 1.33
+Version: 1.37
 Date: $Date$
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: The QuantLib Group

=== debian/changelog ===
quantlib-swig (1.37-1) unstable; urgency=medium

  * New upstream release				(Closes: #1093355)
  
  * debian/control: Update Build-Depends to current QuantLib

  * debian/control: Set Architectire: back to any as old mips64el build
    has been removed from testing

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Jan 2025 15:21:47 -0600

quantlib-swig (1.36-3) unstable; urgency=medium

  * debian/control: Explicitly list architectures excluding mips64el which
    consistently fails

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 03 Jan 2025 22:12:59 -0600

quantlib-swig (1.36-2) unstable; urgency=medium

  * debian/rules: Re-enable build-options for mips64el

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 03 Jan 2025 20:34:57 -0600

quantlib-swig (1.36-1.2404.0) noble; urgency=medium

  * PPA build for Ubuntu 24.04 ("noble")

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Oct 2024 21:22:35 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: interpreters
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.36), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig, python3-build
+Build-Depends: debhelper-compat (= 13), python3, python3-all-dev, libquantlib0-dev (>= 1.37), gcc (>= 4:5.2), g++ (>= 4:5.2), libboost-dev, libboost-test-dev, dh-python, python3-setuptools, python3-wheel, automake, swig, python3-build
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/quantlib-swig
 Vcs-Git: https://salsa.debian.org/edd/quantlib-swig.git
